# Generated from archive-0.0.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name archive

Name: rubygem-%{gem_name}
Version: 0.0.6
Release: 1%{?dist}
Summary: Simple library to manage tar and zip archives with libarchive and FFI
License: MIT
URL: https://github.com/erikh/archive
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.0.0
# BuildRequires: rubygem(minitest) < 5.1
# BuildRequires: rubygem(guard-minitest)
# BuildRequires: rubygem(guard-rake) >= 0.0.8
# BuildRequires: rubygem(guard-rake) < 0.1
# BuildRequires: rubygem(rb-fsevent)
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
Simple library to manage tar and zip archives with libarchive and FFI.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/archive.gemspec

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.6-1
- Initial package
